import http from '../../index'

import type { OcrRequest, UpdateH5IdcardInfoRequest } from './type.d'
export const ocrApi = (data: OcrRequest) => {
  const formData = new FormData()
  formData.append('file', data.file)
  formData.append('side', data.side)
  return http.post({
    url: '/admin/invoice-expert/ocr',
    data: formData,
  })
}

export const updateH5IdcardInfo = (data: UpdateH5IdcardInfoRequest) => {
  return http.post({
    url: '/admin/invoice-order/update-h5-idcard-info',
    data: data,
  })
}
